[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

perl transition underway; breakage with libjson-pp-perl

On Sun, Nov 13, 2011 at 01:59:19PM +0000, Dominic Hargreaves wrote:
> As per #637809, I plan to upload perl 5.14 to unstable soon (maybe today,
> depending on how some last bits of testing go). Like last time, this
> will mean that a large number (~ 470) of packages will need to be binNMUed
> by the release team. I'm sure they would appreciate uploads for these
> packages being avoided once the rebuilds start, so that the transition
> isn't interrupted, so I hope that this heads-up is useful. If this is
> likely to cause any serious problems for anyone, let me know ASAP.

As you've probably noticed, the transition is underway. There is an
unanticipated file conflict between the new perl package and
libjson-pp-perl. Fixed packages are being prepared; if you have
libjson-pp-perl installed, I suggest waiting until a fixed version of
libjson-pp-perl and perl has been uploaded before dist-upgrading your
sid systems. See #648893 and #648897 for more details.


Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)

Reply to: